Name:          groovy15
Version:       1.5.8
Release:       %mkrel 1
Summary:       Groovy scripting language
Group:         Development/Java
License:       ASL 2.0
Url:           http://groovy.codehaus.org/
Source0:       http://dist.groovy.codehaus.org/distributions/groovy-src-1.5.8.zip
#Source1:       http://repository.codehaus.org/org/codehaus/groovy/groovy-all/%{version}/groovy-all-%{version}.pom
#Source2:       http://repository.codehaus.org/org/codehaus/groovy/groovy-all-minimal/%{version}/groovy-all-minimal-%{version}.pom
Source3:       groovy15-script
Source4:       groovy15-starter.conf
Patch0:        groovy15-1.5.8-antbuild.patch
BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: ant17
BuildRequires: ant17-antlr
BuildRequires: ant17-junit
BuildRequires: ant17-trax
BuildRequires: antlr
BuildRequires: apache-commons-beanutils
BuildRequires: apache-commons-cli
BuildRequires: apache-commons-codec
BuildRequires: apache-commons-collections
BuildRequires: apache-commons-lang
BuildRequires: apache-commons-logging
BuildRequires: asm2
BuildRequires: bsf
BuildRequires: cglib21
BuildRequires: checkstyle
BuildRequires: cobertura
BuildRequires: hsqldb
BuildRequires: jakarta-commons-httpclient
BuildRequires: jakarta-oro
BuildRequires: jarjar
BuildRequires: jline
BuildRequires: jmock1
BuildRequires: junit
BuildRequires: liblog4j-java
BuildRequires: lucene2
BuildRequires: mockobjects
BuildRequires: mx4j
BuildRequires: tomcat5-jsp-2.0-api
BuildRequires: servletapi5
BuildRequires: qdox16
BuildRequires: xpp3-minimal
BuildRequires: xmlunit
BuildRequires: xstream
BuildRequires: aqute-bndlib

Requires:      antlr
Requires:      ant17
Requires:      ant17-junit
Requires:      ant17-trax
Requires:      apache-commons-cli
Requires:      apache-commons-logging
Requires:      asm2
Requires:      bsf
Requires:      jarjar
Requires:      jline
Requires:      junit
Requires:      mockobjects
Requires:      mx4j
Requires:      servletapi5
Requires:      tomcat5-jsp-2.0-api
Requires:      xpp3
Requires:      xstream

# todo openejb 1.0

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Groovy is a new agile dynamic language for the JVM
combining lots of great features from languages like
Python, Ruby and Smalltalk and making them available
to the Java developers using a Java-like syntax.
Groovy is designed to help you get things done on the
Java platform in a quicker, more concise and fun way -
bringing the power of Python and Ruby inside the Java
platform.
Groovy can be used as an alternative compiler to javac
to generate standard Java bytecode to be used by any
Java project or it can be used dynamically as an
alternative language such as for scripting Java objects,
templating or writing unit test cases.

%package javadoc
Summary:        API Documentation for %{name}
Group:          Development/Java 
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
JavaDoc documentation for %{name}

%prep
%setup -q -n groovy-%{version}

chmod -R go=u-w *

for b in $(find . -name "*.bat"); do
  rm -rf $b
done
for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

%patch0 -p1
mkdir -p target/lib/{compile,examples,runtime,test,tools}

%build

# Construct classpath
export CLASSPATH=""
CLASSPATH=$CLASSPATH:$(build-classpath antlr ant17 ant17/ant17-trax ant17/ant17-antlr ant17/ant17-junit ant17-launcher bsf)
CLASSPATH=$CLASSPATH:$(build-classpath servletapi5 tomcat5-jsp-2.0-api commons-cli mockobjects-core qdox16 jarjar junit)
CLASSPATH=$CLASSPATH:$(build-classpath log4j aqute-bndlib asm2 commons-beanutils commons-beanutils-core xstream mx4j/mx4j)
CLASSPATH=$CLASSPATH:$(build-classpath commons-lang commons-logging oro jline xpp3-minimal jmock1-cglib jmock1 xmlunit hsqldb)
CLASSPATH=$CLASSPATH:$(build-classpath commons-httpclient lucene2 cglib21-nodep commons-collections commons-lang cobertura checkstyle)

ant17 \
  -DskipTests=on \
  -DskipExamples=on \
  install javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

# Code
install -d $RPM_BUILD_ROOT%{_javadir}
install -p -m644 target/dist/groovy-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -p -m644 target/dist/groovy-all-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-all.jar
install -p -m644 target/dist/groovy-all-minimal-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-all-minimal.jar

# Startup scripts
install -d $RPM_BUILD_ROOT%{_bindir}
install -p -m755 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/groovy15
for TOOL in groovyc15 groovyConsole15 java2groovy15 groovysh15 ; do
  ln $RPM_BUILD_ROOT%{_bindir}/groovy15 $RPM_BUILD_ROOT%{_bindir}/$TOOL
done

# Configuration
install -d $RPM_BUILD_ROOT%{_sysconfdir}
install -p -m644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/groovy15-starter.conf

# API Documentation
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}
find target -type d |xargs chmod 755
cp -rp target/html/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# Maven depmap
install -d $RPM_BUILD_ROOT%{_mavenpomdir}
install -p -m644 pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar
%add_to_maven_depmap org.codehaus.groovy %{name} %{version} JPP %{name}
install -p -m644 target/groovy-all.pom $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP-%{name}-all.pom
%add_maven_depmap JPP-%{name}-all.pom %{name}-all.jar
%add_to_maven_depmap org.codehaus.groovy %{name}-all %{version} JPP %{name}-all
install -p -m644 target/groovy-all-minimal.pom $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP-%{name}-all-minimal.pom
%add_maven_depmap JPP-%{name}-all-minimal.pom %{name}-all-minimal.jar
%add_to_maven_depmap org.codehaus.groovy %{name}-all-minimal %{version} JPP %{name}-all-minimal

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%config(noreplace) %{_sysconfdir}/*
%{_bindir}/*
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt README.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sun Aug 28 2011 dmorgan <dmorgan> 1.5.8-1.mga2
+ Revision: 135814
- Fix buildrequires
- Fix groups

  + gil <gil>
    - edit spec file
    - imported package groovy15

